function T = create_abstraction(regions,x_max,y_max)
[C,adj]=triangular_decomposition(regions,x_max,y_max);  %triangulate (obstacles/regions not triagulated)
no_states=length(C);
T.Q=1:no_states;  %states
T.Vert=C; %vertices of regions
for i=1:no_states
    T.Vert{i}=T.Vert{i}';   %put vertices on rows
end
T.adj=adj;    %transitions based on adjacency (fully actuated robots)
%no observation set needed
