function ctrl_seq_T = ctrl_ind_path(path_T,Prob)
%ctrl_seq_T is row vector with one element shorter than path_T, containing linear indices for cell Ctrl (for i^th state in path_T, the applied controller is Ctrl{ctrl_seq_T(i)})
ctrl_seq_T=[];
% ctrl_seq_T(1)=sub2ind(size(Prob),path_T(1),path_T(2),path_T(2));
for i=2:length(path_T)-1  %don't go through all, because ctrl_seq_T is shorter
    %linear index in Ctrl (having current state, future state, and previous state of T); cell Ctrl has the same size as matrix Prob (whose size is used below)
    ctrl_seq_T=[ctrl_seq_T, sub2ind(size(Prob),path_T(i),path_T(i+1),path_T(i-1))];
end
